NAND_DO_READ_ECC(9)

NAME
nand_do_read_ecc - [MTD Interface] Read data with ECC

SYNOPSIS

int nand_do_read_ecc (struct mtd_info * mtd, loff_t from, size_t len, size_t * retlen, u_char * buf, u_char * oob_buf, struct nand_oobinfo * oobsel, int flags);

ARGUMENTS

mtd MTD device structure

from
    offset to read from

len number of bytes to read

retlen
    pointer to variable to store the number of read bytes

buf the databuffer to put data

oob_buf
    filesystem supplied oob data buffer (can be NULL)

oobsel
    oob selection structure

flags
    flag to indicate if nand_get_device/nand_release_device should be preformed

AND HOW MANY CORRECTED ERROR BITS ARE ACCEPTABLE

bits 0..7 - number of tolerable errors bit 8 - 0 == do not get/release chip, 1 == get/release chip

NAND read with ECC

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.